- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# MDeviceChannel Class Reference

# OpenMayaUI - API module for user interface

Search for all occurrences

## Detailed Description

Input device channel.

Input device channel class.

Examples:

  jlcVcrDevice.cpp.

`#include <MDeviceChannel.h>`

List of all members.

## Public Member Functions
| MDeviceChannel (const MString &, MDeviceChannel *=NULL, int=-1)
| Constructor.
| ~MDeviceChannel ()
| Class destructor.
MString | name () const
| Return the short name of the channel.
MString | longName () const
| Return the long name of the channel.
int | axisIndex () const
| Returns the device state index corresponding to this device channel.
bool | hasChildren () const
| Determine whether this channel has children.
MDeviceChannel | parent () const
| Return the parent of this channel.
MDeviceChannel | childByIndex (int)
| Return the specified child of this channel.
int | numChildren () const
| Return the number of children of this channel.
## Friends
class | MPxMidiInputDevice Search for all occurrences

## Constructor & Destructor Documentation

MDeviceChannel | ( | const MString & | name,
|  | MDeviceChannel * | parent = `NULL`,
|  | int | index = `-1`
| ) |  |

Constructor.

Creates a new device channel with the given name, index and parent (optional).

Parameters:

  [in] | name | the name of the channel
  [in] | parent | the parent of the channel (default is NULL)
  [in] | index | The device state index for the channel

## Member Function Documentation

MString name | ( |  | ) | const

Search for all occurrences

Return the short name of the channel.

Returns:
  The short name for this channel

MString longName | ( |  | ) | const

Search for all occurrences

Return the long name of the channel.

Returns:
  The long name for this channel

int axisIndex | ( |  | ) | const

Search for all occurrences

Returns the device state index corresponding to this device channel.

Returns:
  The device state index for this channel

bool hasChildren | ( |  | ) | const

Search for all occurrences

Determine whether this channel has children.

Returns:
  - true this channel has children
  - false this channel does not have children

MDeviceChannel parent | ( |  | ) | const

Search for all occurrences

Return the parent of this channel.

Returns:
  The parent of this channel

MDeviceChannel childByIndex | ( | int | index | ) |

Search for all occurrences

Return the specified child of this channel.

Returns:
  The child of this channel

int numChildren | ( |  | ) | const

Search for all occurrences

Return the number of children of this channel.

Returns:
  The number of children of this channel

MDeviceChannel MDeviceChannel MDeviceChannel MDeviceChannel MDeviceChannel MDeviceChannel MDeviceChannel MDeviceChannel MDeviceChannel MDeviceChannel
MDeviceChannel MDeviceChannel MDeviceChannel MDeviceChannel MDeviceChannel MDeviceChannel MDeviceChannel MDeviceChannel MDeviceChannel MDeviceChannel